#include "client/gui/FPSMenu.h"

#include "blitz/misc/Format.h"
#include "blitz/misc/Log.h"
#include <imgui.h>
#include <string>

namespace blitz {
namespace gui {

void FPSMenu::Render() {
	if (!IsEnabled())
		return;

	ImGui::SetNextWindowPos({0, 0});
	ImGui::Begin(
		"FPSMenu", nullptr, GetWindowFullScreenFlags() | ImGuiWindowFlags_AlwaysAutoResize | ImGuiWindowFlags_NoFocusOnAppearing);

	ImGui::Text("FPS : %.0f", ImGui::GetIO().Framerate);

	ImGui::End();
}

}  // namespace gui
}  // namespace blitz
